E-MailRelay

Classes | Namespaces | Functions
glinebuffer.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include "glinestore.h"`
`#include "gstringview.h"`
`#include "gcall.h"`
`#include <functional>`
`#include <string>`
`#include <tuple>`
Include dependency graph for glinebuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::LineBuffer
| A class that does line buffering, supporting auto-detection of line endings and fixed-size block extraction. More...
struct | GNet::LineBuffer::Config
| A configuration structure for GNet::LineBuffer. More...
class | GNet::LineBufferState
| Provides information about the state of a line buffer. More...

## Namespaces
namespace | GNet
| Network classes.

## Functions
bool | GNet::operator== (const LineBuffer::Config &a, const LineBuffer::Config &b) noexcept